api.heroui.pro/v1/workspaces/{workspaceId}/integration-keysSend the request to see the live response from the Agents API.
A workspace API key with the permission required by the operation. It may target any active Agent in its workspace.
In: header
1 <= length^[A-Za-z0-9_-]{16,128}$application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.heroui.pro/v1/workspaces/string/integration-keys" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"object": "integration_key",
"scopes": [
"auth_tokens:create"
],
"secret": "string",
"workspace_id": "string"
}{
"message": "limit must be an integer between 1 and 100.",
"name": "bad_request"
}{
"message": "The supplied API key is invalid or revoked.",
"name": "unauthorized"
}{
"message": "string",
"name": "bad_request"
}{
"message": "The requested resource was not found.",
"name": "not_found"
}{
"message": "The knowledge document does not have indexed content yet.",
"name": "conflict"
}{
"message": "Too many requests. Please try again later.",
"name": "rate_limited"
}{
"message": "Internal server error.",
"name": "internal_server_error"
}{
"message": "The API is temporarily unavailable.",
"name": "service_unavailable"
}1 <= length <= 80